@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@100;200;300;400;500&display=swap");

html {
    scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Raleway", sans-serif;
}
.container
{
    height: 100vh;
    width: 100%;
    position: relative;
    display: flex;
    overflow: hidden;
}
.left-col
{
    flex-basis: 40%;
    height: 100%;
    background-image: url("IMG/zamowienia-img.png");
    background-position: center;
    background-size: cover;
}
.right-col
{
    padding-top: 12%;
    padding-left: 15%;
    flex-basis: 60%;
    background-color: #F1B5CF;
    position: relative;
}
h1
{
    font-size: 3.5rem;
    font-weight: 400;
}
button
{
    margin-top: 15%;
    height: 5rem;
    width: 17em;
    margin-right: 2rem;
    border: none;
    background-color: #000;
}
button a
{
    font-size: 1.1rem;
    color: #fff;
    text-decoration: none;
}
/*.slider-container {
    width: 100%;
    height: 12rem;
    overflow: hidden;
    position: absolute;
    left: 0;
    bottom: 0;
  }

  .slider-wrapper {
    display: flex;
    transition: transform 0.3s ease-in-out;
  }*/


  /**************************/
@media only screen and (min-width: 355px) and (max-width: 388px) {
    .container
    {
        flex-direction: column;
    }
    h1
    {
        font-size: 2.5rem;
    }
    .right-col
    {
        padding-left: 12%;
    }
}
@media only screen  and (min-width: 410px)  and (max-height: 440px)
{
    .container
    {
        flex-direction: column;
    }
    h1
    {
        font-size: 2.5rem;
    }
    .right-col
    {
        padding-left: 12%;
    }
}
@media only screen and (min-width: 389px) and (max-width: 420px) {
    .container
    {
        flex-direction: column;
    }
    h1
    {
        font-size: 2.5rem;
    }
    .right-col
    {
        padding-left: 12%;
    }
}
@media only screen and (min-width: 280px) and (max-width: 330px)
{
    .container
    {
        flex-direction: column;
    }
    h1
    {
        font-size: 1.9rem;
    }
    .right-col
    {
        padding-left: 10%;
    }  
}
@media only screen and (min-width: 1910px) and (max-width: 2000px)
{
    h1
    {
        font-size: 6rem;
    }
    .right-col
    {
        padding-left: 10%;
    } 
    button
    {
        height: 10rem;
        width: 20rem;
    }
    button a
    {
        font-size: 1.7rem;
    }
}
@media only screen and (min-width: 1710px) and (max-width: 1909px)
{
    h1
    {
        font-size: 6rem;
    }
    .right-col
    {
        padding-left: 10%;
    } 
    button
    {
        height: 10rem;
        width: 20rem;
    }
    button a
    {
        font-size: 1.7rem;
    }
}
@media only screen and (min-width: 1600px) and (max-width: 1709px)
{
    h1
    {
        font-size: 5.5rem;
    }
    .right-col
    {
        padding-left: 10%;
    } 
    button
    {
        height: 10rem;
        width: 20rem;
    }
    button a
    {
        font-size: 1.7rem;
    }
}
@media only screen and (min-width: 1366px) and (max-width: 1499px)
{
    h1
    {
        font-size: 4rem;
    }
    .right-col
    {
        padding-top: 15%;
        padding-left: 10%;
    } 
    button
    {
        height: 8rem;
        width: 17rem;
    }
    button a
    {
        font-size: 1.4rem;
    }
}
@media only screen and (min-width: 481px) and (max-width: 768px)
{
    .container
    {
        flex-direction: column;
    }
    h1
    {
        font-size: 2.5rem;
    }
    .right-col
    {
        padding-left: 12%;
    }
}
@media only screen and (min-width: 810px) and (max-width: 910px)
{
    .container
    {
        flex-direction: column;
    }
    h1
    {
        font-size: 4rem;
    }
    .right-col
    {
        padding-left: 12%;
        padding-top: 15%;
    } 
    button 
    {
        height: 7rem;
        width: 18rem;
    }
    button a 
    {
        font-size: 1.5rem;
    }
}